Bug 1197132 - Review Request: reflections - a Java runtime metadata analysis
Summary: Review Request: reflections - a Java runtime metadata analysis
Keywords:
Status: CLOSED DUPLICATE of bug 834574
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1197125
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 14:52 UTC by Sandro Bonazzola
Modified: 2015-07-21 12:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-02 06:31:54 UTC
Type: ---


Attachments (Terms of Use)

Description Sandro Bonazzola 2015-02-27 14:52:39 UTC
Spec URL: http://resources.ovirt.org/repos/staging/reflections.spec
SRPM URL: http://resources.ovirt.org/repos/staging/reflections-0.9.9-1.fc22.src.rpm
Description: 
Java runtime metadata analysis, in the spirit of Scannotations
Reflections scans your classpath, indexes the metadata, allows you to query it
on runtime and may save and collect that information for many modules within
your project.
Using Reflections you can query your metadata such as:
* get all subtypes of some type
* get all types/members annotated with some annotation, optionally
  with annotation parameters matching
* get all resources matching a regular expression
* get all methods with specific signature including parameters,
  parameter annotations and return type
Fedora Account System Username: sbonazzo

Comment 1 Mat Booth 2015-02-27 15:06:19 UTC
Couple of items from a quick glance at the spec:

* BuildRoot tag and %clean section is not necessary unless you plan to maintain this package in EPEL5 too, see https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag and https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

* You have nothing specified in your %doc tags

When making changes to your spec, don't forget to bump the release number (rpmdev-bumpspec command can do this for you) and re-upload a new spec file and source rpm.

Comment 2 Sandro Bonazzola 2015-02-27 15:29:23 UTC
(In reply to Mat Booth from comment #1)
> Couple of items from a quick glance at the spec:
> 
> * BuildRoot tag and %clean section is not necessary unless you plan to
> maintain this package in EPEL5 too, see
> https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag and
> https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
> 
> * You have nothing specified in your %doc tags
> 
> When making changes to your spec, don't forget to bump the release number
> (rpmdev-bumpspec command can do this for you) and re-upload a new spec file
> and source rpm.

Done
Spec URL: http://resources.ovirt.org/repos/staging/reflections.spec
SRPM URL: http://resources.ovirt.org/repos/staging/reflections-0.9.9-2.fc22.src.rpm

Comment 3 gil cattaneo 2015-02-27 18:52:20 UTC
This bug is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=834574

Comment 4 Sandro Bonazzola 2015-03-02 06:31:54 UTC
Thanks Gil, closing this as duplicate.

*** This bug has been marked as a duplicate of bug 834574 ***


Note You need to log in before you can comment on or make changes to this bug.